# libp7 - Casio Communication Protocol 7.00 implementation
## Introduction

This communication protocol is about how Casio FX calculators share data
with a computer for example. This library brings functions to send and
receive packets, and implementations of some simple usages (send or get a
file).

## Sources

Thanks to Simon Lothar for his online documents like [the chm part][chm] or
[the fxReverse project documentation][rev].

Thanks to Nessotrin for its [UsbConnector][uco] and [CasioUsb][cau] projects,
which made me code this lighter and more documented version.

[chm]: http://media.taricorp.net/prizm/simon_chm/CommunicationsProtocol.htm "Protocol 7.00"
[rev]: http://media.taricorp.net/prizm/simon_chm/fxReverse2x.pdf "fxReverse project documentation"
[uco]: http://www.planet-casio.com/Fr/forums/topic13656-1-UsbConnector,%28Remplacement,multifonction,pour,FA124,multi,os.html "UsbConnector (Remplacement de FA124 multi-OS)"
[cau]: https://github.com/nessotrin/CasioUsb "CasioUsb (Outil multifonction USB pour calculatrice CASIO)"
