/* ************************************************************************** */
/*                                       _____           _                    */
/*  packet/receive.c                    |_   _|__  _   _| |__   ___ _   _     */
/*  | Project : libp7                     | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2016/08/20 03:21:25                               |___/     */
/*                                                                            */
/* ************************************************************************** */

#include <string.h>
#include <libp7/internals.h>

/**
 *	p7_receive:
 *	Receive response packet.
 *
 *	@arg	packet		the response packet
 *	@return				if it worked
 */

int p7_receive(p7_packet_t *packet)
{
	/* take the cache */
	if (p7_response_got) memcpy(packet, &p7_response, sizeof(p7_packet_t));
	return (p7_response_got);
}
